<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('/logout','Auth\LoginController@logout');

// Generic Image Renderer - Render images that we dont have with a generic image
Route::get('image/generic/{width}/{height}/{color}/{name?}','MediaController@image')->name('image');

// Our Admin Routes
Route::group(['middleware'=>['theme:adminlte-be','auth','role:wholesaler'],'prefix'=>'a'], function() {
	Route::get('setup','AdminHomeController@setup');
	Route::post('setup','AdminHomeController@setup_update');
	Route::get('service/{o}', 'AdminHomeController@service');
	Route::post('service/{o}', 'AdminHomeController@service_update');

	//Route::get('accounting/connect', 'AccountingController@connect');
});

Route::get('admin/switch/stop','\Leenooks\Controllers\AdminController@user_switch_stop')->name('switch.user.start')->middleware('auth');

// Our Reseller Routes
Route::group(['middleware'=>['theme:adminlte-be','auth','role:reseller'],'prefix'=>'r'], function() {
	Route::get('supplier/index', 'SuppliersController@index');
	Route::get('supplier/create', 'SuppliersController@create');
	Route::post('supplier/store', 'SuppliersController@store');
	Route::get('switch/start/{id}','\Leenooks\Controllers\AdminController@user_switch_start')->name('switch.user.stop');
	Route::get('home/{o}', 'UserHomeController@user');
});

// Our User Routes
Route::group(['middleware'=>['theme:adminlte-be','auth'],'prefix'=>'u'], function() {
	Route::get('home', 'UserHomeController@home');
	Route::get('invoice/{o}', 'UserHomeController@invoice');
	Route::get('invoice/{o}/pdf','UserHomeController@invoice_pdf');
	Route::get('service/{o}', 'UserHomeController@service');
});

// Frontend Routes (Non-Authed Users)
Route::group(['middleware'=>['theme:metronic-fe']], function() {
	Route::get('/', 'WelcomeController@index');
	Route::get('order','OrderController@index');
	Route::post('order','OrderController@submit');
});

Route::get('product_order/{o}', 'OrderController@product_order');
Route::get('product_info/{o}', 'OrderController@product_info');
Route::redirect('/home','/u/home');
Route::demoAccess('/uc-access');
Route::redirect('/under-construction','http://www.graytech.net.au');
Route::get('/u/{type}/{action}/{id}','UserHomeController@oldsite');

Route::get('/search','SearchController@search');